import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.Random;

public class Board extends World
{
    public Board() 
    {
        super(8, 8, 50);  
        WhiteKing wk = new WhiteKing();
        addObject(wk, 4, 7);      
        WhitePawn wp1 = new WhitePawn();
        addObject(wp1, 0, 6);      
        WhitePawn wp2 = new WhitePawn();
        addObject(wp2, 1, 6);       
        WhitePawn wp3 = new WhitePawn();
        addObject(wp3, 2, 6);      
        WhitePawn wp4 = new WhitePawn();
        addObject(wp4, 3, 6);        
        WhitePawn wp5 = new WhitePawn();
        addObject(wp5, 4, 6);        
        WhitePawn wp6 = new WhitePawn();
        addObject(wp6, 5, 6);        
        WhitePawn wp7 = new WhitePawn();
        addObject(wp7, 6, 6);        
        WhitePawn wp8 = new WhitePawn();
        addObject(wp8, 7, 6);        
        WhiteQueen wq = new WhiteQueen();
        addObject(wq, 3, 7);        
        WhiteBishop wba6 = new WhiteBishop();
        addObject(wba6, 5, 7);        
        WhiteBishop wba3 = new WhiteBishop();
        addObject(wba3, 2, 7);        
        WhiteKnight wna2 = new WhiteKnight();
        addObject(wna2, 1, 7);        
        WhiteKnight wna7 = new WhiteKnight();
        addObject(wna7, 6, 7);        
        WhiteRook wra1 = new WhiteRook();
        addObject(wra1, 0, 7);
        WhiteRook wra8 = new WhiteRook();
        addObject(wra8, 7, 7);
        
        BlackPawn bp1 = new BlackPawn();
        addObject(bp1, 0, 1);  
        BlackPawn bp2 = new BlackPawn();
        addObject(bp2, 1, 1);  
        BlackPawn bp3 = new BlackPawn();
        addObject(bp3, 2, 1);  
        BlackPawn bp4 = new BlackPawn();
        addObject(bp4, 3, 1);  
        BlackPawn bp5 = new BlackPawn();
        addObject(bp5, 4, 1);  
        BlackPawn bp6 = new BlackPawn();
        addObject(bp6, 5, 1);  
        BlackPawn bp7 = new BlackPawn();
        addObject(bp7, 6, 1);  
        BlackPawn bp8 = new BlackPawn();
        addObject(bp8, 7, 1); 
        BlackRook bra8 = new BlackRook();
        addObject(bra8, 0, 0);
        BlackRook brh8 = new BlackRook();
        addObject(brh8, 7, 0);
        BlackBishop bbc8 = new BlackBishop();
        addObject(bbc8, 2, 0);
        BlackBishop bbf8 = new BlackBishop();
        addObject(bbf8, 5, 0);
        BlackKnight bna8 = new BlackKnight();
        addObject(bna8, 1, 0);
        BlackKnight bng8 = new BlackKnight();
        addObject(bng8, 6, 0);
        BlackKing bk = new BlackKing();
        addObject(bk, 4, 0);
        BlackQueen bq = new BlackQueen();
        addObject(bq, 3, 0);
    }
    
    public void act()
    {        
        setPaintOrder(White.class, Black.class, MoveDetect.class);
    }    
}
